Bug 763283 - (GLUSTER-1551) glusterfs process doesn't exit when init fails
glusterfs process doesn't exit when init fails
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
All Linux
low Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-07 02:21 EDT by Anush Shetty
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2010-09-07 02:21:41 EDT
[root@client12 ~]# less /etc/glusterd/logs/share-anush-export2-.log
[2010-09-06 23:04:20.21918] W [graph.c:253:gf_add_cmdline_options] sep7-server: adding option 'listen-port' for volume 'sep7-server' with value '6971'
[2010-09-06 23:04:20.34940] W [rpc-transport.c:566:validate_volume_options] rdma.sep7-server: option 'listen-port' is deprecated, preferred is 'transport.rdma.listen-port', continuing with correction
[2010-09-06 23:04:20.89489] I [client.c:1661:build_client_config] sep7-replace-brick: option 'remote-subvolume' not given
[2010-09-06 23:04:20.89624] C [posix.c:4402:init] sep7-posix: Extended attribute not supported, exiting.
[2010-09-06 23:04:20.89641] E [xlator.c:869:xlator_init] sep7-posix: Initialization of volume 'sep7-posix' failed, review your volfile again
[2010-09-06 23:04:20.89660] E [graph.c:310:glusterfs_graph_init] sep7-posix: initializing translator failed

28241 ?        Ssl    0:00 /opt/anush/gitrdma/sbin/glusterd
28252 ?        SLsl   0:00 /opt/anush/gitrdma/sbin/glusterfs --xlator-option sep7-server.listen-port=6971 -s localhost --volfile-id sep7.10.1.10.32.share-anush-export2- -p /etc/glusterd/vols/sep7/run/10.1.10.32-share-anush-export2-.pid --brick-name /share/anush/export2/ --brick-port 6971 -l /etc/glusterd/logs/share-anush-export2-.log
Comment 1 Vijay Bellur 2010-09-09 01:04:20 EDT
PATCH: http://patches.gluster.com/patch/4697 in master (glusterfsd: first time errors in volume file should exit the process)

Note You need to log in before you can comment on or make changes to this bug.